<dx-scroll-view height='100%'>
    <dx-form [colCount]="1" [formData]='permitData' [showValidationSummary]="false" validationGroup="permitValidation" labelLocation="left">
        <dxi-item itemType="group" [colSpan]="1" [colCount]='2'>
            <dxi-item [label]="{text: 'Număr aviz / autorizație / acord'}" dataField="no" editorType="dxTextBox"
                [editorOptions]="{ }">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-item>
            <dxi-item [label]="{text: 'Tip document'}" dataField="typeId" editorType="dxSelectBox"
                [editorOptions]="{ dataSource: dsPermitsType, valueExpr: 'id', displayExpr: 'value' }">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-item>
        </dxi-item>

        <dxi-item itemType="group" [colSpan]="1" [colCount]='2'>
            <dxi-item [label]="{text: 'Entitate'}" dataField="entityId" editorType="dxSelectBox"
                [editorOptions]="{dataSource: pWithActiv, valueExpr: 'id', displayExpr: 'name' }">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-item>
            <dxi-item [label]="{text: 'Valabilitate'}" dataField="validity" editorType="dxDateBox"
                [editorOptions]="{ format: 'dd.MM.yyyy', width: 'auto' }">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-item>
        </dxi-item>

        <dxi-item itemType='group' [colSpan]='2' [colCount]='2'>
            <dxi-item [label]="{text: 'Revizuit la data'}" dataField="revision" editorType="dxDateBox"
                [editorOptions]="{ format: 'dd.MM.yyyy', width: 'auto' }">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-item>
            <dxi-item [label]="{text: 'Validitate'}" dataField="isValid" editorType="dxSelectBox"
                [editorOptions]="{dataSource: dsBoolean, valueExpr: 'id', displayExpr: 'name' }">
            </dxi-item>
        </dxi-item>
        <dxi-item [label]="{text: 'Descriere'}" dataField="description" editorType="dxTextBox" [editorOptions]="{ }">
            <dxi-validation-rule type="required"></dxi-validation-rule>
        </dxi-item>
    </dx-form>
</dx-scroll-view>